Create a VisualEditor plugin tool to add/edit translations and translation variables (Translate extension)
Open, NormalPublic

Description

<translate>…</translate> and the related <tvar>…</tvar> are currently un-parsed and shown as plain wikitext in VisualEditor because they're not recognised, per bug 48891; however, once that is fixed, the blocks won't be editable except as alien nodes (in wikitext), and won't be createable.

Making a proper VisualEditor plugin to translate these in-page as a rich editor shouldn't be particularly hard (he says…).


Version: master
Severity: enhancement

Details

Reference
bz53974
bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz53974.
bzimport added a subscriber: Unknown Object (MLST).

pankaj10it45 wrote:

Hello,I want to work on this bug.Can you tell me what exactly it is?
Thank you.

Pankaj: This bug depends on fixing bug 48891 first (see the "Depends on" field). If something is unclear with comment 0, please explain what is unclear and why. Also see [[mw:Annoying little bugs]].

Is it true that parsoid has limitations parsing tags other than "normal parser tags". If yes what are they & why ? I want to make a plugin for VE to embed translate extension as mentioned above. Cant i include my own grammar for parser to do stuffs way i want.?

Qgil added a comment.Feb 11 2015, 1:44 PM

Wikimedia will apply to Google Summer of Code and Outreachy on Tuesday, February 17. If you want this task to become a featured project idea, please follow these instructions.

Qgil added a comment.Feb 16 2015, 11:51 PM

If there is no interest / critical mentoring mass to promote this project for GSoC / Outreachy, then maybe the current "Normal" priority should be lower?

If there is no interest / critical mentoring mass to promote this project for GSoC / Outreachy, then maybe the current "Normal" priority should be lower?

It's not a matter of priority, see blockers: this is blocked on a stalled bug.

Qgil set Security to None.
awight added a subscriber: awight.May 8 2015, 3:21 AM
Micru added a subscriber: Micru.Mar 3 2016, 4:02 PM

I see that the stalled bug has been marked as resolved, Could this task become a GsoC project?

I see that the stalled bug has been marked as resolved, Could this task become a GsoC project?

Eventually, yes; however this was missing a few dependencies, T49344 chief amongst them. That work might not be done for another year or more.

Also, I don't think I could do this in two weeks, which suggests this is too big for GSoC.

Niharika removed a subscriber: Niharika.Mar 3 2016, 4:25 PM
Qgil removed a subscriber: Qgil.Mar 3 2016, 5:17 PM
brion added a subscriber: brion.Apr 1 2016, 4:08 PM
Samat added a subscriber: Samat.Sep 16 2017, 4:50 PM
jberkel added a subscriber: jberkel.Nov 3 2017, 1:24 PM